Module org.hsqldb
Package org.hsqldb.lib

## Class IntHashSet

- java.lang.Object
- - org.hsqldb.map.BaseHashMap
  - - org.hsqldb.lib.IntHashSet

- Direct Known Subclasses:
    `OrderedIntHashSet`

      public class IntHashSet
      extends org.hsqldb.map.BaseHashMap

  A set of int primitives.
  Since:
    2.3.0
  Author:
    Fred Toussi (fredt@users dot sourceforge.net)

- - ### Field Summary

    - ### Fields inherited from class org.hsqldb.map.BaseHashMap

      `ACCESS_MAX, emptyObjectArray`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IntHashSet()` |
    `IntHashSet​(int initialCapacity)` |
    `IntHashSet​(int[] elements)` |
    `IntHashSet​(int[] elementsA, int[] elementsB)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `add​(int key)` |
    `boolean` | `add​(java.lang.Integer e)` |
    `boolean` | `addAll​(int[] elements)` |
    `boolean` | `addAll​(Collection<java.lang.Integer> col)` |
    `boolean` | `addAll​(IntHashSet s)` |
    `boolean` | `contains​(int key)` |
    `boolean` | `contains​(java.lang.Object o)` |
    `boolean` | `containsAll​(IntHashSet c)` |
    `int` | `getStartMatchCount​(int[] array)` |
    `Iterator<java.lang.Integer>` | `iterator()` |
    `boolean` | `remove​(int key)` |
    `boolean` | `removeAll​(IntHashSet c)` |
    `boolean` | `retainAll​(IntHashSet c)` |
    `int[]` | `toArray()` |
    `int[]` | `toArray​(int[] array)` |

    - ### Methods inherited from class org.hsqldb.map.BaseHashMap

      `clear, clone, isEmpty, size`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IntHashSet

          public IntHashSet()

    - #### IntHashSet

          public IntHashSet​(int initialCapacity)
                     throws java.lang.IllegalArgumentException

      Throws:
        `java.lang.IllegalArgumentException`

    - #### IntHashSet

          public IntHashSet​(int[] elements)

    - #### IntHashSet

          public IntHashSet​(int[] elementsA,
                            int[] elementsB)

  - ### Method Detail

    - #### contains

          public boolean contains​(java.lang.Object o)

    - #### contains

          public boolean contains​(int key)

    - #### add

          public boolean add​(java.lang.Integer e)

    - #### add

          public boolean add​(int key)

    - #### remove

          public boolean remove​(int key)

    - #### getStartMatchCount

          public int getStartMatchCount​(int[] array)

    - #### addAll

          public boolean addAll​(Collection<java.lang.Integer> col)

    - #### addAll

          public boolean addAll​(IntHashSet s)

    - #### addAll

          public boolean addAll​(int[] elements)

    - #### containsAll

          public boolean containsAll​(IntHashSet c)

    - #### retainAll

          public boolean retainAll​(IntHashSet c)

    - #### removeAll

          public boolean removeAll​(IntHashSet c)

    - #### toArray

          public int[] toArray()

    - #### toArray

          public int[] toArray​(int[] array)

    - #### iterator

          public Iterator<java.lang.Integer> iterator()